/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


import com.HotelServices.model.dto.EmberDTO;
import com.HotelServices.model.dto.ProgramokDTO;
import com.HotelServices.model.dto.impl.SzallodavezetoDAOImpl;
import java.io.*;
import java.net.*;

import java.util.LinkedList;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Sensei
 */
public class SzallodavezetoServlet extends HttpServlet {
   
    /** 
    * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
    * @param request servlet request
    * @param response servlet response
    */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            if (request.getParameter("reg") != null && request.getParameter("reg").equals("Regisztral")) {
              if (request.getParameter("programnev").length() > 0 && request.getParameter("datum").length() > 0 && request.getParameter("ido").length() > 0) {
                  boolean b = new SzallodavezetoDAOImpl().programReg(request.getParameter("programnev"), request.getParameter("datum"), request.getParameter("ido"), (String) request.getSession().getAttribute("fnev")); 
                  if(b){
                    response.sendRedirect("siker01.jsp");
                  }
                  else response.sendRedirect("hiba02.jsp");
                }  
            }
            
            if (request.getParameter("Reg") != null && request.getParameter("Reg").equals("Regisztracio")) {
                if (request.getParameter("usernev").length() >= 5 && request.getParameter("jelszo").length() >= 5 && request.getParameter("jelszo_u").length() >= 5 && request.getParameter("nev").length() > 0 && request.getParameter("iranyitoszam").length() > 0 && request.getParameter("cim").length() > 0 && request.getParameter("telefonszam").length() > 0) {
                    boolean b = new SzallodavezetoDAOImpl().alkalmazottReg(request.getParameter("usernev"), request.getParameter("jelszo"), request.getParameter("jelszo_u"), request.getParameter("nev"), Integer.parseInt(request.getParameter("iranyitoszam")), request.getParameter("cim"), request.getParameter("telefonszam"),request.getParameter("alkalmazottak"));
                    System.out.println(b);
                    if (b) {
                        response.sendRedirect("siker01.jsp");
                    } else {
                        response.sendRedirect("hiba01.jsp");
                    }
                } else {
                    response.sendRedirect("hiba01.jsp");
                }
            }
            if (request.getParameter("lista") != null && request.getParameter("lista").equals("Listaz")) {
                LinkedList<ProgramokDTO> ll = new LinkedList<ProgramokDTO>();
                ll = new SzallodavezetoDAOImpl().listazProgramok();
                request.getSession().setAttribute("programok_szv", ll);
                response.sendRedirect("szallodavezeto_programok_torlese.jsp");
                
            }
            
            if (request.getParameter("alkalmazottlista") != null && request.getParameter("alkalmazottlista").equals("Listaz")) {
                LinkedList<EmberDTO> ll = new LinkedList<EmberDTO>();
                ll = new SzallodavezetoDAOImpl().listazAlkalmazottak();
                request.getSession().setAttribute("emberek_szv", ll);
                response.sendRedirect("szallodavezeto_elbocsajtas.jsp");
                
            }
             
        } finally { 
            out.close();
        }
    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
    * Handles the HTTP <code>GET</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
    * Handles the HTTP <code>POST</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
    * Returns a short description of the servlet.
    */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
